import { isValidElement as o, cloneElement as t } from "react";
import { mergeProps as m } from "../node_modules/.pnpm/@base-ui_react@1.1.0_@types_react@18.3.27_react-dom@18.3.1_react@18.3.1__react@18.3.1/node_modules/@base-ui/react/esm/merge-props/mergeProps.js";
const i = (r) => {
  if (o(r))
    return (e) => t(r, m(e, r.props));
};
export {
  i as renderAsChild
};
